package sun.awt.windows;

import sun.awt.SunToolkit;
import java.awt.event.ItemEvent;
import java.awt.CheckboxMenuItem;
import java.awt.peer.CheckboxMenuItemPeer;

final class WCheckboxMenuItemPeer extends WMenuItemPeer implements CheckboxMenuItemPeer
{
    @Override
    public native void setState(boolean p0);
    
    WCheckboxMenuItemPeer(CheckboxMenuItem checkboxMenuItem) {
        super(checkboxMenuItem, true);
        this.setState(checkboxMenuItem.getState());
    }
    
    public void handleAction(final boolean b) {
        final CheckboxMenuItem target = (CheckboxMenuItem)this.target;
        SunToolkit.executeOnEventHandlerThread(target, new Runnable() {
            @Override
            public void run() {
                target.setState(b);
                WCheckboxMenuItemPeer.this.postEvent(new ItemEvent(target, 701, target.getLabel(), b ? 1 : 2));
            }
        });
    }
}
